VoxLink.ai

API Reference

Create label

Create a label to tag your assistants

Updated 30 June 2026
On this page

Create a label to tag assistants across folders (for example, inbound or outbound). Apply labels to assistants with the label_ids field on the Create assistant and Update assistant endpoints.

Request Body

namestringrequired

The label name (max 255 characters). Must be unique within your account.

colorstring

A color for the label badge. One of: gray, slate, red, orange, amber, green, teal, blue, purple, pink.

Response

messagestring

Success message

dataobject

idinteger

The unique identifier of the created label

namestring

The label name

colorstring

The label color (or null)

assistants_countinteger

Number of assistants this label is applied to (always 0 for a new label)

{
  "message": "Label created successfully",
  "data": { "id": 3, "name": "Inbound", "color": "green", "assistants_count": 0 }
}
{
  "message": "The name has already been taken.",
  "errors": { "name": ["The name has already been taken."] }
}

Related guides